---
{
  "name": "Business Advantages",
  "culture": "en-US",
  "description": "Aurelia is open source, but unlike much open source in the JavaScript space, Aurelia is an official product with commercial backing. If your business is going to spend significant money building software, you want to do it on a platform that's committed to you as a customer. You want to be able to form a relationship with your technology provider to ensure that you and your developers have a solid platform upon which to build your business now and in the years to come. This article details a few important business advantages which you won't find all together in any product besides Aurelia.",
  "engines" : { "aurelia-doc" : "^1.0.0" },
  "author": {
  	"name": "Rob Eisenberg",
  	"url": "http://robeisenberg.com"
  },
  "contributors": [],
  "translators": [],
  "keywords": ["Benefits", "Business"]
}
---

## [Commercially Backed](aurelia-doc://section/1/version/1.0.0)

* One of the only two main-stream, open-source SPA frameworks with official commercial backing (Ember is the other).
* The only SPA framework with commercial support options available.
* Custom contracts available for enterprises.
* Internally “dogfooded” by Durandal Inc. in its own business-critical products.

Many technologists make incorrect assumptions in this space. You may hear about "Google's Polymer" (or Angular) or "Facebook's React". However, these libraries aren't official products of their respective companies. React team members have stated publicly that Facebook is not committed to the React library. Google developers have stated publicly that Polymer is not a Google product and developers are not considered customers. Angular and Polymer are two out of six UI libraries built by Google employees, all competitive with one another, and none officially recognized by the company. There is much marketing and brand recognition around these libraries but no guarantee and little hope of long-term stability. We encourage you to try to see past the marketing, brands and hype and into the core capabilities and benefits of the technology itself. If you do, we think you'll realize that Aurelia is the best option available.

## [Commercial Products and Services](aurelia-doc://section/2/version/1.0.0)

* Official on-site or virtual training.
* Consulting, advisory, and code-review services.
* Aurelia Interface (In Development) - Cross-platform, mobile UI components.
* Aurelia Data Controls (In Development) - Data-oriented and LOB components.
* Much more coming...

## [Strategic Partnerships](aurelia-doc://section/3/version/1.0.0)

* Partnerships with both large and boutique consulting organizations in order to provide scale-out of developer resources as needed by businesses adopting Aurelia.
* Official training partners around the world to deliver training anywhere and anytime.

## [Broad Customer Reach](aurelia-doc://section/4/version/1.0.0)

* Applications developed in virtually every space: healthcare, insurance, finance, entertainment, technology, developer tools, LOB, gaming, etc.
* Used internally at several well-known enterprises.
* Adoption among large, international organizations.
